Adobe Elements Premiere 2019 will not reinstall

New Here ,
Feb 23, 2022 Feb 23, 2022

Copy link to clipboard

Copied

My Adobe Elements Premiere 2019 will not reinstall : the following message appears:
"Update required.
Your browser or operating system is no longer supported. You may need to install the latest operating system updates first."
My Windows 10 is up to date and so are my browsers. I've already read that possibly Creative Cloud is a solution, but I don't understand why it can't be done without Creative Cloud. Are there any other solutions? Unfortunately, this is not the first problem with installing Premiere Elements.
Regards
Matthias

Translated with .DeepL.com/Translator  (free version)

TOPICS
Error or problem

Views

46

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Feb 23, 2022 Feb 23, 2022

Copy link to clipboard

Copied

If I understand it right, Adobe needs to verify software is not stolen and uses a sign in process with your internet browser.  Even with Windows up to date, the browswer may not be.  Can you try a different browser?

 

Reference:  https://helpx.adobe.com/x-productkb/global/update-operating-system-and-browser.html?internal_browser...

 

Good luck!  I hope this works.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Feb 24, 2022 Feb 24, 2022

Copy link to clipboard

Copied

Hi Bill, have tried Firefox, Opera, Microsoft Edge, Internet Explorer and Google Chrome, always I get the said message.Also tried installing Premiere on my laptop instead of my PC, same problem. Had bought with 2019 the bundle Premiere Elements and Photoshop Elements. Photoshop I have not yet installed, but also does not work.

best regards
Matthias

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Feb 24, 2022 Feb 24, 2022

Copy link to clipboard

Copied

LATEST

"Update required.  Your browser or operating system is no longer supported. You may need to install the latest operating system updates first" 

 

Matthias,

 

If you google search for the entire sentence, a variety of possible solutions show up.   Maybe there is help. 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines